#if !defined(AFX_RENDERINGOPTIONS_H__C91BE55B_A681_41C9_92A4_5940AE509CE3__INCLUDED_)
#define AFX_RENDERINGOPTIONS_H__C91BE55B_A681_41C9_92A4_5940AE509CE3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RenderingOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// RenderingOptions dialog

class RenderingOptions : public CDialog
{
// Construction
public:
	void SetCameraOptions();
	void DisableDirectX();
	
	BOOL m_GDIEnabled;
    BOOL m_DirectXEnabled;

    typedef enum CAMERATYPE {FixedAngle,Game3D, Chase};
    CAMERATYPE m_CameraType;

	RenderingOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(RenderingOptions)
	enum { IDD = IDD_RENDERINGOPTIONS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(RenderingOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(RenderingOptions)
	afx_msg void OnGdi();
	afx_msg void OnDirectx();
	virtual BOOL OnInitDialog();
	afx_msg void OnCamarafixed();
	afx_msg void OnCamera3dgame();
	afx_msg void OnCamaerachase();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RENDERINGOPTIONS_H__C91BE55B_A681_41C9_92A4_5940AE509CE3__INCLUDED_)
